rte_eth_vmdq_dcb_conf(3)

NAME
rte_eth_vmdq_dcb_conf

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

enum rte_eth_nb_pools nb_queue_pools
uint8_t enable_default_pool
uint8_t default_pool
uint8_t nb_pool_maps
struct {
uint16_t vlan_id
uint64_t pools
} pool_map [RTE_ETH_VMDQ_MAX_VLAN_FILTERS]
uint8_t dcb_tc [RTE_ETH_DCB_NUM_USER_PRIORITIES]

Detailed Description

A structure used to configure the VMDq+DCB feature of an Ethernet port.

Using this feature, packets are routed to a pool of queues, based on the VLAN ID in the VLAN tag, and then to a specific queue within that pool, using the user priority VLAN tag field.

A default pool may be used, if desired, to route all traffic which does not match the VLAN filter rules.

Definition at line 994 of file rte_ethdev.h.

Field Documentation

  enum rte_eth_nb_pools nb_queue_pools
With DCB, 16 or 32 pools

Definition at line 995 of file rte_ethdev.h.

  uint8_t enable_default_pool
If non-zero, use a default pool

Definition at line 996 of file rte_ethdev.h.

  uint8_t default_pool
The default pool, if applicable

Definition at line 997 of file rte_ethdev.h.

  uint8_t nb_pool_maps
We can have up to 64 filters/mappings

Definition at line 998 of file rte_ethdev.h.

  uint16_t vlan_id
The VLAN ID of the received frame

Definition at line 1000 of file rte_ethdev.h.

  uint64_t pools
Bitmask of pools for packet Rx

Definition at line 1001 of file rte_ethdev.h.

  struct { ... } pool_map[RTE_ETH_VMDQ_MAX_VLAN_FILTERS]
VMDq VLAN pool maps.

  uint8_t dcb_tc[RTE_ETH_DCB_NUM_USER_PRIORITIES]
Selects a queue in a pool

Definition at line 1004 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.